## Log2
Return the base 2 logarithm of the parameter

### Declaration
```glsl
float log2(float x)  
vec2 log2(vec2 x)  
vec3 log2(vec3 x)  
vec4 log2(vec4 x)
```

### Parameters
```x``` specify the value of which to take the base 2 logarithm.

### Description
```log2()``` returns the base 2 logarithm of ```x```.

<div class="simpleFunction" data="y = log2(x); "></div>

### See Also

[log](index.html#log.md), [exp](index.html#exp.md), [exp2](index.html#exp2.md), [Chapter 05: Shaping Functions](../05/)